<!-- master template for the modal window.-->
<div>
	<div class="modal-header">
		<span class="close">&times;</span>
		<h4> {{ modalHeaderTitle || 'Modal Header'}}</h4>
	</div>
	<!-- developer passing the modal template will be injected inside model-body, this can be achieved using tranclude also-->
	<div class="modal-body">
	</div>

	<div class="modal-footer">
		
		<button class="btn-default" type="button">{{modalCloseButtonCaption || 'Close'}}</button>

		<button class="btn-primary" type="button">{{modalSubmitButtonCaption || 'Submit'}}</button>

	</div>
</div>
